Subject: bug#42147: 28.0.50; pure vs side-effect-free, missing optimizations?

From: Stefan Monnier <[email-masked]>
Date: Mon, 10 Aug 2020 18:07:29 -0400

> Another option would be to create a separate function property (such
> as `eval-when-compile' or `force-inline') that would force the byte
> compiler to inline each call, as if surrounded by `eval-when-compile'.

It can't always be done, so I think from that point of view what we have
is fine, the only problem is that we don't have a way to say "this can
be considered as pure by the compiler" without also saying "this doesn't
change the march-data".

So maybe a new value of `pure` is in order?

        Stefan